liwc_1.21-1_amd64.deb


Advertisement

Description

liwc - Tools for manipulating C source code

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: liwc
Package version: 1.21
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 97 B
Download size: 20.89 KB
Official Mirror: ftp.br.debian.org
Includes programs for converting C++ comments to C comments, removing C comments, print out string literals, and converting characters to trigraphs and trigraphs to characters.

Alternatives

Requires

    Download

    Binary package: liwc_1.21-1_amd64.deb
    Source package: liwc

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liwc deb package:
      # sudo apt-get install liwc

    Files

    • /usr/bin/ccmtcnvt
    • /usr/bin/chktri
    • /usr/bin/cstr
    • /usr/bin/entrigraph
    • /usr/bin/rmccmt
    • /usr/bin/untrigraph
    • /usr/share/doc/liwc/changelog.Debian.gz
    • /usr/share/doc/liwc/changelog.gz
    • /usr/share/doc/liwc/copyright
    • /usr/share/man/man1/ccmtcnvt.1.gz
    • /usr/share/man/man1/chktri.1.gz
    • /usr/share/man/man1/cstr.1.gz
    • /usr/share/man/man1/entrigraph.1.gz
    • /usr/share/man/man1/liwc.1.gz
    • /usr/share/man/man1/rmccmt.1.gz
    • /usr/share/man/man1/untrigraph.1.gz

    Changelog

    2012-06-19 - Antti-Juhani Kaijanaho <ajk@debian.org> liwc (1.21-1) unstable; urgency=low * New upstream release. * debian/control: Add Vcs-* fields. * Delete all patches (adopted upstream): - 0001-Makefile-Support-DESTDIR.patch - 0002-Makefile-install-install-target-directories.patch - 0003-Makefile-Handle-CPPFLAGS-as-well.patch - 0004-chktri-Fix-the-trigraph.patch * debian/copyright: Update, and convert to copyright-format/1.0.

    2012-06-16 - Antti-Juhani Kaijanaho <ajk@debian.org> liwc (1.20-6) unstable; urgency=low * [148d6aa] Convert to source format 3.0 (quilt) * [398d6a8] Convert debian/rules to dh (Closes: #437481) * [f553140] Add patch 0001-Makefile-Support-DESTDIR * [ee9477e] Add patch 0002-Makefile-install-install-target-directories * [070d853] Add patch 0003-Makefile-Handle-CPPFLAGS-as-well * [30de804] debian/control: Add misc:Depends * [35436c6] Update Standards-Version to 3.9.3 (no other changes needed). * [5b9c2b8] Add patch 0004-chktri-Fix-the-trigraph. Thanks to Santiago Urueña (LP: #321107)

    2006-10-13 - Antti-Juhani Kaijanaho <ajk@debian.org> liwc (1.20-5) unstable; urgency=low * New maintainer. Closes: #390745 (ITA: liwc -- Tools for manipulating C source code) * debian/rules (clean): Remove backup files in debian/ .

    2006-10-02 - Lars Wirzenius <liw@iki.fi> liwc (1.20-4) unstable; urgency=low * Orphaning.

    2006-08-03 - Lars Wirzenius <liw@iki.fi> liwc (1.20-3) unstable; urgency=low * debian/rules: Use "-O2 -g" for CFLAGS and "-g" for LDFLAGS, and use "root:root" (instead of "root.root") for chmod. Thanks, "timeless". (Closes: #374414) * debian/control: Upped the Standards-Version. No other changes required.

    2003-02-06 - Lars Wirzenius <liw@iki.fi> liwc (1.20-2) unstable; urgency=low * Blech. Forgot to remove debhelper from Build-Depends. * Also, 1.20-1 added the liwc manual page. closes:#179972 * Also, messed up the changelog in the previous upload (removed the complete entry for 1.9-1). I'm an imbecile.

    2003-02-06 - Lars Wirzenius <liw@iki.fi> liwc (1.20-1) unstable; urgency=low * New upstream version adds liwc(1) manual page. * Converted from using debhelper to native dpkg stuff.

    2003-01-19 - Lars Wirzenius <liw@iki.fi> liwc (1.9-1) unstable; urgency=low * Adopting the package again, with permission from previous maintainer. * New upstream version adds -c (remove code, not comments) to rmccmt.

    2001-10-11 - LaMont Jones <lamont@debian.org> liwc (1.7-1.1) unstable; urgency=low * NMU * Add build-depends: publib-dev. Closes: #112635

    2001-09-17 - Antti-Juhani Kaijanaho <gaia@iki.fi> liwc (1.7-1) unstable; urgency=low * debian/{control,copyright}: New maintainer. * Converted to non-native packaging (upstream is no longer Debian maintainer). * debian/copyright: Refer to GPL-2 and if that fails, to GPL. * debian/control [Build-Depends]: The current debian/rules is dependent on debhelper. * debian/control [Standards-Version]: Upgrade to 3.5.6

    Advertisement
    Advertisement